/*
 * Copyright (c) 1999, 2000, 2008, 2009, 2010
 *	Craig Leres
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that: (1) source code
 * distributions retain the above copyright notice and this paragraph
 * in its entirety, and (2) distributions including binary code include
 * the above copyright notice and this paragraph in its entirety in
 * the documentation or other materials provided with the distribution
 * THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 */
#ifndef lint
static const char rcsid[] =
    "@(#) $Id: tiff.c 242 2010-01-17 04:48:35Z leres $ (XSE)";
#endif

#include <sys/types.h>

#include <stdio.h>
#include <tiffio.h>

#include "gnuc.h"
#ifdef HAVE_OS_PROTO_H
#include "os-proto.h"
#endif

#include "tiff.h"

int
parsetiff(const char *tiff, int *wp, int *hp)
{
	TIFF *t;

	t = TIFFOpen(tiff, "r");
	if (t == NULL)
		return (0);

#ifdef notdef
	/* XXX ignore errors */
	if (tp != NULL && fstat(TIFFFileno(t), &sbuf) >= 0)
		*tp = sbuf.st_mtime;
#endif

	(void)TIFFGetField(t, TIFFTAG_IMAGEWIDTH, wp);
	(void)TIFFGetField(t, TIFFTAG_IMAGELENGTH, hp);

	TIFFClose(t);
	return (1);
}
